change_process_title.h File Reference

Change the title of a process in ps and top. More...

Go to the source code of this file.

## Functions

void | change_process_title_init (char **argv)
| Intialize the ability to change the process title.
void | change_process_title (const char *fmt,...)
| Change the process title.

## Detailed Description

Change the title of a process in ps and top.

This module only works on Linux, and has no effect on other platforms. change_process_title_init must be called once before processing arguments, and then change_process_title may be called many times to change the title.

## Function Documentation

## change_process_title_init()

void change_process_title_init | ( | char ** | argv | ) |

Intialize the ability to change the process title.

Parameters

  argv | The argument vector passed to the main() function.

## change_process_title()

void change_process_title | ( | const char * | fmt,
|  |  | ... )

Change the process title.

Parameters

  fmt | A printf-style formatting string.